---
title: HTMLButtonElement.labels
slug: Web/API/HTMLButtonElement/labels
tags:
  - API
  - HTML DOM
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>HTMLButtonElement.labels</strong></code> read-only property returns a {{domxref("NodeList")}} of the {{HTMLElement("label")}} elements associated with the {{HTMLElement("button")}} element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>labelElements</var> = <var>button</var>.labels;
</pre>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("NodeList")}} containing the <code>&lt;label&gt;</code> elements associated with the <code>&lt;button&gt;</code> element.</p>

<h2 id="Example">Example</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;label id="label1" for="test"&gt;Label 1&lt;/label&gt;
&lt;button id="test"&gt;Button&lt;/button&gt;
&lt;label id="label2" for="test"&gt;Label 2&lt;/label&gt;
</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">window.addEventListener("DOMContentLoaded", function() {
  const button = document.getElementById("test");
  for(var i = 0; i &lt; button.labels.length; i++) {
    console.log(button.labels[i].textContent); // "Label 1" and "Label 2"
  }
});</pre>

<p>{{EmbedLiveSample("Example", "100%", 30)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "forms.html#dom-lfe-labels", "labels")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLButtonElement.labels")}}</p>
